Subject: Re: [PATCH] sh_eth: fix SH7619/771x support

From: Yoshihiro Shimoda <[email-masked]>
Date: Wed, 4 Jun 2014 11:20:33 +0900

Hi David,

(2014/06/04 11:02), David Miller wrote:
> From: Yoshihiro Shimoda <[email-masked]>
> Date: Wed, 4 Jun 2014 09:34:56 +0900
> 
>> (2014/06/04 4:42), Sergei Shtylyov wrote:
>>> Commit 4a55530f38e4 (net: sh_eth: modify the definitions of register) managed
>>> to leave out the E-DMAC register entries in sh_eth_offset_fast_sh3_sh2[], thus
>>> totally breaking SH7619/771x support.  Add the missing entries using  the data
>>> from before that commit.
>>>
>>> Signed-off-by: Sergei Shtylyov <[email-masked]>
>  ...
>> I checked sh7710 and sh7619 datasheet, but they don't have RPADIR register.
>> Since I would like to check a datasheet you looked into, would you tell me about this?
> 
> I think what Sergei simply did is take what was used for register offsets
> before the mentioned commits.
> 
> The RPADIR register write is guarded by "mdp->cd->rpadir" being non-zero,
> so his change is very safe.

Thank you for the reply. I understood it.

Since I checked all of the registers offset in this patch and they are good:
Acked-by: Yoshihiro Shimoda <[email-masked]>

Best regards,
Yoshihiro Shimoda